Mobile Carrier Listing

The Mobile Carrier Listing service returns a listing of all mobile carriers defined in the Pushpay system along with the email domain used by the carrier.

Service Name

mobile_carrier_list

Required Parameters

None

Optional Parameters

None

Example Curl

curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=mobile_carrier_list"

Example Response XML

<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
  <request>
    <parameters>
      <argument value="mobile_carrier_list" name="srv"/>
    </parameters>
  </request>
  <response>
    <service>mobile_carrier_list</service>
    <service_action>execute</service_action>
    <availability>public</availability>
    <mobile_carriers count="16">
      <mobile_carrier id="1">
        <name>Alltel</name>
        <email>sms.alltelwireless.com</email>
      </mobile_carrier>
      …
      <mobile_carrier id="16">
        <name>Cincinnati Bell</name>
        <email>gocbw.com</email>
      </mobile_carrier>
    </mobile_carriers>
  </response>
</ccb_api>